# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Viewport Struct Reference

VLX wrapper of vl::Viewport. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Viewport:

List of all members.

## Public Member Functions

void | importViewport (VLXSerializer &s, const VLXStructure *vlx, Viewport *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportViewport (const Viewport *obj, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::Viewport.

Definition at line 2313 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_Viewport::importViewport | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | Viewport * | obj
| ) |  | `[inline]`

Definition at line 2315 of file VLXWrappers.hpp.

References vl::VLXValue::ArrayInteger, vl::VLXValue::ArrayReal, vl::VLXValue::getArrayInteger(), vl::VLXValue::getArrayReal(), vl::VLXValue::getInteger(), vl::VLXValue::getReal(), vl::VLXValue::getString(), vl::VLXStructure::getValue(), vl::VLXValue::Identifier, vl::VLXValue::Integer, vl::VLXValue::Real, vl::Viewport::setClearColor(), vl::Viewport::setClearColorInt(), vl::Viewport::setClearColorMode(), vl::Viewport::setClearColorUInt(), vl::Viewport::setClearDepth(), vl::Viewport::setClearFlags(), vl::Viewport::setClearStencil(), vl::Viewport::setHeight(), vl::Object::setObjectName(), vl::Viewport::setWidth(), vl::Viewport::setX(), vl::Viewport::setY(), vl::VLXValue::type(), vl::VLXStructure::value(), vl::vlx_EClearColorMode(), vl::vlx_EClearFlags(), VLX_IMPORT_CHECK_RETURN, vl::vlx_ivec4(), vl::vlx_uivec4(), and vl::vlx_vec4().

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_Viewport::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2393 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importViewport(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_Viewport::exportViewport | ( | const Viewport * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 2402 of file VLXWrappers.hpp.

References vl::Viewport::clearColor(), vl::Viewport::clearColorInt(), vl::Viewport::clearColorMode(), vl::Viewport::clearColorUInt(), vl::Viewport::clearDepth(), vl::Viewport::clearFlags(), vl::Viewport::clearStencil(), vl::Viewport::height(), vl::Object::objectName(), vl::vlx_EClearColorMode(), vl::vlx_EClearFlags(), vl::vlx_Identifier(), vl::vlx_String(), vl::vlx_toValue(), vl::Viewport::width(), vl::Viewport::x(), and vl::Viewport::y().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_Viewport::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2419 of file VLXWrappers.hpp.

References vl::Object::as(), exportViewport(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:57.
Permission is granted to use this page to write and publish articles regarding Visualization Library.